# Uses of Interface
java.rmi.server.RMIClientSocketFactory

Packages that use RMIClientSocketFactory
Package
Description
java.rmi.registry
Provides a class and two interfaces for the RMI registry.
java.rmi.server
Provides classes and interfaces for supporting the server side of RMI.
javax.management.remote.rmi
The RMI connector is a connector for the JMX Remote API that uses RMI to transmit client requests to a remote MBean server.
javax.rmi.ssl
Provides implementations of `RMIClientSocketFactory` and `RMIServerSocketFactory` over the Secure Sockets Layer (SSL) or Transport Layer Security (TLS) protocols.

## Uses of RMIClientSocketFactory in java.rmi.registry

Methods in java.rmi.registry with parameters of type RMIClientSocketFactory
Modifier and Type
Method
Description
`static Registry`
LocateRegistry.`createRegistry(int port, RMIClientSocketFactory csf, RMIServerSocketFactory ssf)`
Creates and exports a `Registry` instance on the local host that uses custom socket factories for communication with that instance.
`static Registry`
LocateRegistry.`getRegistry(String host, int port, RMIClientSocketFactory csf)`
Returns a locally created remote reference to the remote object `Registry` on the specified `host` and `port`.

## Uses of RMIClientSocketFactory in java.rmi.server

Classes in java.rmi.server that implement RMIClientSocketFactory
Modifier and Type
Class
Description
`class`
`RMISocketFactory`
An `RMISocketFactory` instance is used by the RMI runtime in order to obtain client and server sockets for RMI calls.
Methods in java.rmi.server with parameters of type RMIClientSocketFactory
Modifier and Type
Method
Description
`static Remote`
UnicastRemoteObject.`exportObject(Remote obj, int port, RMIClientSocketFactory csf, RMIServerSocketFactory ssf)`
Exports the remote object to make it available to receive incoming calls, using a transport specified by the given socket factory.
`static Remote`
UnicastRemoteObject.`exportObject(Remote obj, int port, RMIClientSocketFactory csf, RMIServerSocketFactory ssf, ObjectInputFilter filter)`
Exports the remote object to make it available to receive incoming calls, using a transport specified by the given socket factory and filter.
Constructors in java.rmi.server with parameters of type RMIClientSocketFactory
Modifier
Constructor
Description
`protected`
`UnicastRemoteObject(int port, RMIClientSocketFactory csf, RMIServerSocketFactory ssf)`
Creates and exports a new UnicastRemoteObject object using the particular supplied port and socket factories.

## Uses of RMIClientSocketFactory in javax.management.remote.rmi

Constructors in javax.management.remote.rmi with parameters of type RMIClientSocketFactory
Modifier
Constructor
Description
``
`RMIJRMPServerImpl(int port, RMIClientSocketFactory csf, RMIServerSocketFactory ssf, Map<String,?> env)`
Creates a new `RMIServer` object that will be exported on the given port using the given socket factories.

## Uses of RMIClientSocketFactory in javax.rmi.ssl

Classes in javax.rmi.ssl that implement RMIClientSocketFactory
Modifier and Type
Class
Description
`class`
`SslRMIClientSocketFactory`
An `SslRMIClientSocketFactory` instance is used by the RMI runtime in order to obtain client sockets for RMI calls via SSL.